mixed-port: 7890
allow-lan: true
bind-address: "*"
mode: global
log-level: info

dns:
  enable: true
  ipv6: false
  listen: 0.0.0.0:1053
  enhanced-mode: fake-ip
  nameserver:
    - 8.8.8.8
    - 1.1.1.1

proxies:
  - name: "🇯🇵 Tokyo Amazon VPS"
    type: trojan
    server: 57.181.40.118
    port: 9166
    password: 4f4114c1-d6a3-46c4-bab1-6f9b052aedd7
    udp: true
    sni: 57.181.40.118
    skip-cert-verify: true
    network: tcp

  - name: "🇺🇸 US-OR Google VPS"
    type: trojan
    server: 35.212.177.123
    port: 9166
    password: 68707ed0-64d8-49c5-b67e-98db3a62d6af
    udp: true
    sni: 35.212.177.123
    skip-cert-verify: true
    network: tcp

proxy-groups:
  - name: "GLOBAL"
    type: select
    proxies:
      - 🇯🇵 Tokyo Amazon VPS
      - 🇺🇸 US-OR Google VPS
      - DIRECT

rules:
  - MATCH,GLOBAL
